summaryrefslogtreecommitdiff
path: root/project/config/cfgdefs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'project/config/cfgdefs.sh')
-rw-r--r--project/config/cfgdefs.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/project/config/cfgdefs.sh b/project/config/cfgdefs.sh
index 09b8f62..30ee66c 100644
--- a/project/config/cfgdefs.sh
+++ b/project/config/cfgdefs.sh
@@ -82,6 +82,18 @@ cfgdefs_detect_python_version()
exit 2
fi
+ pydist_macros="$mb_project_dir/project/pydist.m4"
+ pydist_helper="$mb_project_dir/sofort/core/modern.m4"
+ pydist_srclst="$mb_project_dir/project/variants/$python_major.$python_minor.$python_micro/pydist.in"
+
+ if ! [ -f "$pydist_srclst" ]; then
+ exit 2
+ fi
+
+ if ! m4 "$pydist_helper" "$pydist_macros" "$pydist_srclst" > pydist.mk ; then
+ exit 2
+ fi
+
python_ver="$python_major.$python_minor"
if [ "$mb_package" = '@' ]; then